> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/nfc-wallet-sdk-ios/es/implement-nfc-wallet/check-contactless-capability.md).

# Comprobar la capacidad sin contacto

## Descripción general

Ejecute esta comprobación si su **aplicación de billetera digital** admite pagos sin contacto.

Llámelo después de **SDK de NFC Wallet** la inicialización y antes de [Inscribir monedero](/nfc-wallet-sdk-ios/es/implement-nfc-wallet/enroll-wallet.md) y **Tokenización**.

{% hint style="info" %}
Si el dispositivo no es elegible para pagos sin contacto, oculte o deshabilite los puntos de entrada de pagos sin contacto para el **usuario final**.
{% endhint %}

## Integración del SDK

Usar `deviceEligibility` con `contactlessPaymentEligibility`.

Maneje estos resultados:

* `supported`: El dispositivo puede realizar pagos sin contacto.
* `deviceNotSupported`: El dispositivo no admite NFC ni HCE.
* `systemNotEligible`: El dispositivo o el Apple ID no está en el EEE (Espacio Económico Europeo).
* `iosVersionNotSupported`: El dispositivo no cumple con la versión mínima de iOS (iOS 17.4).

```swift
let contactlessEligibility = await TSHPay.shared.deviceEligibility.contactlessPaymentEligibility
            
switch contactlessEligibility {
  case .deviceNotSupported(let reason):
      // El dispositivo no es elegible debido a la falta de compatibilidad con NFC o HCE.
      break
  case .systemNotEligible:
      // El sistema no es elegible porque el dispositivo o el Apple ID no está en el EEE.
      break
  case .iosVersionNotSupported(let currentVersion):
      // La versión del sistema operativo no cumple con la versión mínima requerida (iOS 17.4).
      break
  case .supported:
      // El dispositivo es elegible para realizar pagos sin contacto.
      break
}
```

{% hint style="info" %}
Ejecute esta comprobación antes de llamar a [Inscribir monedero](/nfc-wallet-sdk-ios/es/implement-nfc-wallet/enroll-wallet.md) y [Tokenizar una tarjeta](/nfc-wallet-sdk-ios/es/implement-nfc-wallet/tokenize-a-card.md).
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.payments.thalescloud.io/nfc-wallet-sdk-ios/es/implement-nfc-wallet/check-contactless-capability.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
